package com.huiju.estateagents.property.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 酒店
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_hotel")
public class Hotel implements Serializable {

    private  Integer id;

    private static final long serialVersionUID = 1L;

    /**
     * 小区ID
     */
    private Integer orgId;

    /**
     * 酒店电话
     */
    private String hotelTel;

    /**
     * 酒店地址
     */
    private String hotelAddress;

    /**
     * 酒店经度
     */
    private String hotelLongitude;

    /**
     * 酒店纬度
     */
    private String hotelLatitude;

    /**
     * 酒店介绍
     */
    private String hotelIntroduction;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 更新人
     */
    private Integer updateUser;
    
    
    /**
     * app首页展示图
     */
    @TableField(exist = false)
    private String appIndexImg;
    
    /**
     * app商铺轮播图
     */
    @TableField(exist = false)
    private List<String> appCarouselImg;
    
    /**
     * 酒店开关
     */
    @TableField(exist = false)
    private Boolean hotelSettingValue;

    /**
     * 酒店名称
     */
    private String hotelName;

}
