package com.huiju.estateagents.redpack.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 账户相关凭证 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOrgAccountCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 凭证ID
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 账户ID
     */
    private String accountId;

    /**
     * 账户流水ID
     */
    private Integer accountSerialNo;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 关联用处 充值,退费
     */
    private String consumptionType;

    /**
     * 凭证说明
     */
    private String remark;

    /**
     * 凭证地址
     */
    private String url;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 上传人
     */
    private Integer userId;

    /**
     * 上传人名称
     */
    private String userName;

    /**
     * 状态
     */
    private Integer status;


}
